TESTING/EIG/cget10.f(3)

NAME
TESTING/EIG/cget10.f

SYNOPSIS

  Functions/Subroutines
subroutine cget10 (m, n, a, lda, b, ldb, work, rwork, result)
CGET10

Function/Subroutine Documentation

  subroutine cget10 (integer m, integer n, complex, dimension( lda, * ) a, integer lda, complex, dimension( ldb, * ) b, integer ldb, complex, dimension( * ) work, real, dimension( * ) rwork, real result)

CGET10

Purpose:

     CGET10 compares two matrices A and B and computes the ratio
     RESULT = norm( A - B ) / ( norm(A) * M * EPS )

Parameters
    M

              M is INTEGER
              The number of rows of the matrices A and B.

    N

              N is INTEGER
              The number of columns of the matrices A and B.

    A

              A is COMPLEX array, dimension (LDA,N)
              The m by n matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

    B

              B is COMPLEX array, dimension (LDB,N)
              The m by n matrix B.

    LDB

              LDB is INTEGER
              The leading dimension of the array B.  LDB >= max(1,M).

    WORK

              WORK is COMPLEX array, dimension (M)

    RWORK

              RWORK is COMPLEX array, dimension (M)

    RESULT

              RESULT is REAL
              RESULT = norm( A - B ) / ( norm(A) * M * EPS )

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 98 of file cget10.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.